insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Temperature', '°C')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Rain', 'mm')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Wind Speed', 'm/s')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Humidity', '%')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Barometric Pressure', 'hPa')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Wind Direction', '°')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Solar Radiation', 'W/m2')
insert into [WEATHER_PARAMETER] (ParameterName, Unit) values ('Wind Chill', '°C')


declare @WeatherParameterId int

select @WeatherParameterId = WeatherParameterId from WEATHER_PARAMETER where ParameterName='Temperature'
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 22, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 21, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 23, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 19, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 18, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 20, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 24, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 25, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 22, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 21, getdate())


select @WeatherParameterId = WeatherParameterId from WEATHER_PARAMETER where ParameterName='Rain'
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 2, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 0, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 5, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 8, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 10, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 12, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 0, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 7, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 14, getdate())
insert into [WEATHER_DATA] (WeatherParameterId, [Value], [TimeStamp]) values (@WeatherParameterId, 8, getdate())