using System;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace LoginApp.Pages
{
    public class LogoutModel : PageModel
    {
        public void OnGet()
        {
            Logout();
        }

        void Logout()
        {
            HttpContext.Session.SetInt32("Login", 0);
            HttpContext.Session.SetString("UserName", "");

            Response.Redirect("./User");
        }
    }
}
